/* ************************************************************************** */
/*                                                                            */
/*                                                        ::::::::            */
/*   parser.h                                           :+:    :+:            */
/*                                                     +:+                    */
/*   By: qmennen <qmennen@student.codam.nl>           +#+                     */
/*                                                   +#+                      */
/*   Created: 2025/02/11 14:03:03 by qmennen       #+#    #+#                 */
/*   Updated: 2025/03/05 12:50:03 by whaffman      ########   odam.nl         */
/*                                                                            */
/* ************************************************************************** */

#ifndef PARSER_H
# define PARSER_H

# include "minishell.h"

char		*parser_sanitize_string(t_minishell *msh, char *str, char c);
t_command	*parser_alloc_command(t_minishell *msh);
t_list		*parser_get_commands(t_minishell *msh);
t_list		*parser_get_input_redirects(t_list *list);
void		parser_create_command(t_minishell *msh,
				t_command *cmd, t_list **l_tkn);
char		**parser_get_arguments(t_list *list, t_minishell *msh);
int			parser_validate_command(t_command *command);

#endif
